# VcsMapping

interface VcsMapping

A dependency mapping provided by a VCS repository.

#### Since

4.4

## Functions

from
Link copied to clipboard
abstract fun from(versionControlSpec: VersionControlSpec)
abstract fun <T : VersionControlSpec?> from(type: Class<T>, configureAction: Action<in T>)
Specifies the VCS location for the requested component.
from
Link copied to clipboard
inline fun <T : VersionControlSpec> VcsMapping.from(noinline configureAction: T.() -> Unit)

Specifies the VCS location for the requested component.

inline fun <T : VersionControlSpec> VcsMapping.from(type: KClass<T>, configureAction: Action<in T>)

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.vcs.VcsMapping.from.

getRequested
Link copied to clipboard
abstract fun getRequested(): ComponentSelector
The requested dependency, before it is resolved.